import 'package:flutter/material.dart';
import 'package:rkm/models/city_load_model.dart';
import 'package:rkm/models/drop_down_data_model.dart';
import 'color_palette.dart';

class ConstVariable{
  double radiusBorderInput = 5;
  EdgeInsetsGeometry marginHightInput = EdgeInsets.symmetric(vertical: 5);
  EdgeInsetsGeometry paddingWidth = EdgeInsets.symmetric(horizontal: 10);
  double fontSizeInput = 15;
  double fontSizeTitleAppBar = 20;
  List<String> RGUF = ['AC','AI','AL','AM','AN','AP','AS','BA','BY','CA','CB','CE','CH','CN','CO','DC','DF','ES','GD','GO','GU',
                       'HU','IL','LA','LE','LI','LO','LT','MA','MG','MO','MS','MT','NB','NE','NW','NT','NY','OH','OU','PA','PB',
                       'PE','PI','PO','PR','QH','RJ','RM','RN','RO','RR','RN','RO','RR','RS','SC','SE','SF','SJ','SP','TA','TO',
                       'VC','XX','ZU','-','--',''];
  List<String> itensProceduresStart = [
    'ATENDIMENTO INDIVIDUAL',
    'VISTA DOMICILIAR'
  ];
  List<String> listNationality =[
    'BRASILEIRO',
    'ESTRANGEIRO',
    'NATURALIZADO',
  ];

  List<DropDownDataModel> listConduct = [
    DropDownDataModel(cod: 3, title: 'ALTA ADMINISTRATIVA'),
    DropDownDataModel(cod: 1, title: 'ALTA CLÍNICA'),
    DropDownDataModel(cod: 2, title: 'END. AD1'),
    DropDownDataModel(cod: 5, title: 'ENC. INTERNAÇÃO HOSPITALAR'),
    DropDownDataModel(cod: 4, title: 'ENC. URGÊNCIA E EMERGÊNCIA'),
    DropDownDataModel(cod: 9, title: 'ÓBITO'),
    DropDownDataModel(cod: 7, title: 'PERMANÊNCIA'),
  ];

  List serviceIndividualCheckBoxList =[
    'ASMA',
    'PUERPÉRO (ATÉ 42 ...',
    'DESNUTRIÇÃO',
    'SAÚDE SEXUAL E RE...',
    'DIABETES',
    'TABAGISMO',
    'DPOC',
    'USUÁRIO DE ÁLCOOL',
    'HIPERTERSÃO ARTERIAL',
    'USUÁRIO DE OUTRA...',
    'OBESIDADE',
    'SAÚDE MENTAL',
    'PRÉ-NATAL',
    'REABILITAÇÃO',
    'PUERICULTURA',
  ];

  List<String> trackingModelList=['CÂNCER DE COLO DO ÚTERO','CÂNCER DE MAMA','RISCO CARDIOVASCULAR'];
  List<String> nasfPoloModelList=['AVALIAÇÃO/DIAGNÓSTICO','PROCEDIMENTOS CLÍNICOS/TERAPÊUTICO','PRESCRIÇÃO TERAPÊUTICA'];
  List<String> conductModelList=[
    'RETORNO PARA CONSULTA AGENDADA','RETORNO PARA CUIDADO CONTINUADO/PROGRAMADO',
    'AGENDAMENTO PARA GRUPOS','AGENDAMENTO PARA NASF','ALTA DO EPISÓDIO'];
  List<String> forwardingModelList=[
    'INTERNO DO DIA','SERVIÇO ESPECIALIZADO','CAPS','INTERNAÇÃO HOSPITALAR','URGÊNCIA'
    'SERVIÇO DE ATENÇÃO DOMICILIAR','INTERSETORIAL'];

  List communicableDiseasesList = [
    'TUBERCULOSE',
    'DENGUE',
    'HANSENÍASE',
    'DST',
  ];

  List tipoVisitaModel = [
    'CADASTRAMENTO / ATUALIZAÇÃO',
    'VISITA PERIÓDICA'
  ];

  List outrosModel = [
    'EGRESSO DE INTERNAÇÃO',
    'CONVITE ATIVIDADES COLETIVAS/CAMPANHAS DE SAÚDE',
    'ORIENTAÇÃO/PREVENÇÃO',
    'OUTROS',
  ];

  List tipoAcompanhamentoModel = [
    'GESTANTE',
    'PUÉRPERA',
    'RECÉM-NASCIDO',
    'CRIANÇA',
    'PESSOA COM DESNUTRIÇÃO',
    'PESSOA EM REABILITAÇÃO OU COM DEFICIÊNCIA',
    'PESSOA COM HIPERTENSÃO',
    'PESSOA COM ASMA',
    'PESSOA COM DPOC/ENFISEMA',
    'PESSOA COM CÂNCER',
    'PESSOA COM OUTRAS DOENÇAS CRÔNICAS',
    'PESSOA COM HANSENÍASE',
    'PESSOA COM TUBERCULOSE',
    'SINTOMÁTICOS RESPIRATÓRIOS',
    'TABAGISTA',
    'DOMICILIADOS/ACAMADOS',
    'CONDIÇÕES DE VULNERABILIDADE SOCIAL',
    'CONDIÇÃO DO BOLSA FAMÍLIA',
    'SAÚDE MENTAL',
    'USUÁRIO DE ÁLCOOL',
    'USUÁRIO DE OUTRAS DROGAS',
  ];

  List serviceHomeCheckConditionlist = [
    'ACAMADO',
    'DOMICILIADO',
    'ÚLCERAS / FERIDAS (GRAU III OU IV)',
    'ACOMPANHAMENTO NUTRICIONAL',
    'USO DE SONDA NASO-GRÁSTRICA - SNG',
    'USO DE SONDA NASO-ENTERAL - SNE',
    'USO DE GASTRONOMIA',
    'USO DE COLOSTOMIA',
    'USO DE CISTOSTOMIA',
    'USO DE SONDA VESICAL DE DEMORA - SVD',
    'ACOMPANHAMENTO PRÉ-OPERATÓRIO',
    'ACOMPANHAMENTO PÓS-OPERATÓRIO',
    'ADAPTAÇÃO AO USO DE ÓRTESE / PRÓTESE',
    'REABILITAÇÃO DOMICILIAR',
    'CUIDADOS PALIATIVOS ONCOLÓGICO',
    'CUIDADOS PALIATIVOS NÃO-ONCOLÓGICO',
    'OXIGENOTERAPIA DOMICILIAR',
    'USO DE TRAQUEOSTOMIA',
    'USO DE ASPIRADOR DE VIAS AÉRIAS PARA HIGIENE BUCAL',
    'SUPORTE VENTILATÓRIO NÃO INVASICO - CPAP',
    'SUPORTE VENTILATÓRIO NÃO INVASICO - BIPAP',
    'DIÁLISE PERITONIAL',
    'PARACENTESE',
    'MEDICAÇÃO PARENTERAL',
  ];

  List serviceHomeCheckProclist = [
    'ACOMPANHAMENTO DE PACIENTE EM REABILITAÇÃO',
    'ENEMA',
    'ANTIBIOTICOTERAPIA PARENTERAL',
    'OXIGENOTERAPIA',
    'ATEND./ ACOMP. PACIENTE EM REABILITAÇÃO DO DESENVOLVIMENTO NEUROPSICOMOTOR',
    'RETIRADA DE PONTOS DE CIRURGIAS BÁSICAS',
    'ATEND. FISIOTERAPÊUTICO PACIENTE C/ TRANST. RESP S/ COMPLICAÇÕES SISTÊMICAS',
    'SONDAGEM GÁSTRICA',
    'ATENDIMENTO MÉDICO COM FINALIDADE DE ATESTAR ÓBITO',
    'TERAPIA DE REIDRATAÇÃO ORAL',
    'ATENDIMENTO/ACOMPANHAMENTO EM REABILITAÇÃO NAS MÚLTIPLS DEFICIÊNCIAS',
    'TERAPIA DE REIDRATAÇÃO PARENTAL',
    'ADAPTAÇÃO AO USO DE ÓRTESE / PRÓTESE',
    'REABILITAÇÃO DOMICILIAR',
    'CATETERISMO VESICAL DE ALÍVIO',
    'TERAPIA FONOAUDIOLÓGICA INDIVIDUAL',
    'CATETERISMO VESICAL DE DEMORA',
    'TRATAMENTO DE TRAUMATISMOS DE LOCALIZAÇÃO ESPECIF/NÃO ESPECIFICADA',
    'COLETA DE MATERIAL PARA EXAME LABORATORIAL',
    'TRATAMENTO EM REABILITAÇÃO',
    'CUIDADOS COM ESTOMAS',
    'CUIDADOS COM TRAQUEOSTOMIA'
  ];

  List<DropDownDataModel> listServicePlace = [
    DropDownDataModel(cod: 1,title: 'UBS'),
    DropDownDataModel(cod: 2,title: 'UNIDADE MÓVEL'),
    DropDownDataModel(cod: 3,title: 'RUA'),
    DropDownDataModel(cod: 4,title: 'DOMICÍLIO'),
    DropDownDataModel(cod: 5,title: 'ESCOLA/CRECHE'),
    DropDownDataModel(cod: 6,title: 'OUTROS'),
    DropDownDataModel(cod: 7,title: 'POLO'),
    DropDownDataModel(cod: 8,title: 'INSTITUIÇÃO/ABRIGO'),
    DropDownDataModel(cod: 9,title: 'UNIDADE PRISIONAL OU CONGÊNERES'),
    DropDownDataModel(cod: 10,title: 'UNIDADE SOCIOEDUCATIVA'),
    DropDownDataModel(cod: 11,title: 'HOSPITAL'),
    DropDownDataModel(cod: 12,title: 'UNIDADE DE PRONTO ATENDIMENTO'),
    DropDownDataModel(cod: 13,title: 'CACON/UNACON'),
  ];
  List<DropDownDataModel> typeService = [
    DropDownDataModel(cod: 7,title: 'ATENDIMENTO PROGRAMADO'),
    DropDownDataModel(cod: 8,title: 'ATENDIMENTO NÃO PROGRAMADO'),
    DropDownDataModel(cod: 9,title: 'VISITA DOMICILIAR PÓS ÓBITO'),
  ];
  List<DropDownDataModel> typeModelService = [
    DropDownDataModel(cod: 1,title: 'AD1'),
    DropDownDataModel(cod: 2,title: 'AD2'),
    DropDownDataModel(cod: 3,title: 'AD3'),
  ];
  List<DropDownDataModel> typeTurnService = [
    DropDownDataModel(cod: 1,title: 'MANHÃ'),
    DropDownDataModel(cod: 2,title: 'TARDE'),
    DropDownDataModel(cod: 3,title: 'NOITE'),
  ];
  List<String> typeService2 = [
    'CONSULTA AGENDADA PROGRAMADA/CUIDADO CONTINUADO',
    'CONSULTA AGENDADA',
    'DEMANDA ESPONTÂNEA - ESCUTA INICIAL/ORIENTAÇÃO',
    'DEMANDA ESPONTÂNEA - CONSULTA NO DIA',
    'DEMANDA ESPONTÂNEA - ATENDIMENTO DE EMERGÊNCIA',
  ];
  List<DropDownDataModel> listBreed = [
    DropDownDataModel(cod: 4, title: 'AMARELA'),
    DropDownDataModel(cod: 1, title: 'BRANCA'),
    DropDownDataModel(cod: 5, title: 'INDIGENA'),
    DropDownDataModel(cod: 2, title: 'NEGRA'),
    DropDownDataModel(cod: 3, title: 'PARDA'),
  ];
  List<DropDownDataModel> listScooling = [
    DropDownDataModel(cod: 4, title:  'ENSINO FUNDAMENTAL'),
    DropDownDataModel(cod: 3, title:  'ENSINO MEDIO'),
    DropDownDataModel(cod: 5, title:  'ENSINO MEDIO INCOMPLETO'),
    DropDownDataModel(cod: 0, title:  'NAO DEFINIDO'),
    DropDownDataModel(cod: 1, title:  'SUPERIOR'),
    DropDownDataModel(cod: 2, title:  'SUPERIOR INCOMPLETO'),
  ];

  List<DropDownDataModel> listScoolingRegisterInd = [
    DropDownDataModel(cod: 1, title:  'NÃO FREQUENTOU'),
    DropDownDataModel(cod: 2, title:  'CRECHE'),
    DropDownDataModel(cod: 3, title:  'PRÉ-ESCOLA (EXCETO CA)'),
    DropDownDataModel(cod: 4, title:  'CLASSE ALFABETIZADA - CA'),
    DropDownDataModel(cod: 5, title:  'ENSINO FUNDAMENTAL 1ª A 4ª SÉRIES'),
    DropDownDataModel(cod: 6, title:  'ENSINO FUNDAMENTAL 5ª A 8ª SÉRIES'),
    DropDownDataModel(cod: 7, title:  'ENSINO FUNDAMENTAL COMPLETO'),
    DropDownDataModel(cod: 8, title:  'ENSINO FUNDAMENTAL ESPECIAL'),
    DropDownDataModel(cod: 9, title:  'ENSINO FUNDAMENTAL EJA SÉRIES INICIAIS (1ª A 4ª)'),
    DropDownDataModel(cod:10, title:  'ENSINO FUNDAMENTAL EJA SÉRIES FINAIS (5ª A 9ª)'),
    DropDownDataModel(cod:11, title:  'ENSINO MÉDIO, MÉDIO 2º CICLO (CIENTÍFICO, TÉCNICO, ETC...)'),
    DropDownDataModel(cod:12, title:  'ENSINO MÉDIO ESPECIAL'),
    DropDownDataModel(cod:13, title:  'ENSINO MÉDIO EJA (SUPLETIVO)'),
    DropDownDataModel(cod:14, title:  'SUPERIOR, APREFEIÇOAMENTO, ESPECIALIZAÇÃO, MESTRADO, DOUTORADO'),
    DropDownDataModel(cod:15, title:  'ALFABETIZAÇÃO PARA ADULTOS (MOBRAL, ETC...)'),
  ];
  List<DropDownDataModel> listOcupacion = [
    DropDownDataModel(cod: 1, title:  'EMPREGADOR'),
    DropDownDataModel(cod: 2, title:  'ASSALARIADO COM CARTEIRA DE TRABALHO'),
    DropDownDataModel(cod: 3, title:  'ASSALARIADO SEM CARTEIRA DE TRABALHO'),
    DropDownDataModel(cod: 4, title:  'AUTÔNOMO COM PREVIDÊNCIA SOCIAL'),
    DropDownDataModel(cod: 5, title:  'AUTÔNOMO SEM PREVIDÊNCIA SOCIAL'),
    DropDownDataModel(cod: 6, title:  'APOSENTADO/PENSIONISTA'),
    DropDownDataModel(cod: 7, title:  'DESEMPREGADO'),
    DropDownDataModel(cod: 8, title:  'NÃO TRABALHA'),
    DropDownDataModel(cod: 9, title:  'OUTRO'),
    DropDownDataModel(cod:10, title:  'SERVIDOR PÚBLICO/MILITAR'),
  ];

  List<DropDownDataModel> listGenderInd = [
    DropDownDataModel(cod: 1, title:  'NÃO DESEJA INFORMAR'),
    DropDownDataModel(cod: 2, title:  'HETEROSSEXUAL'),
    DropDownDataModel(cod: 3, title:  'HOMOSEXUAL'),
    DropDownDataModel(cod: 4, title:  'BISSEXUAL'),
    DropDownDataModel(cod: 5, title:  'OUTRO'),
  ];

  List<DropDownDataModel> listGenderIdent = [
    DropDownDataModel(cod: 1, title:  'NÃO DESEJA INFORMAR'),
    DropDownDataModel(cod: 2, title:  'HOMEM TRANSEXUAL'),
    DropDownDataModel(cod: 3, title:  'MULHER TRANSEXUAL'),
    DropDownDataModel(cod: 4, title:  'TRAVESTI'),
    DropDownDataModel(cod: 5, title:  'OUTRO'),
  ];

  List<DropDownDataModel> listExitCitizen = [
    DropDownDataModel(cod: 1, title:  'ÓBITO'),
    DropDownDataModel(cod: 2, title:  'MUDANÇA DE TERRITÓRIO'),
  ];

  List<DropDownDataModel> listTypeHome = [
    DropDownDataModel(cod:  1,title: 'DOMICÍLIO'),
    DropDownDataModel(cod:  2,title: 'COMÉRCIO'),
    DropDownDataModel(cod:  3,title: 'TERRENO BALDIO'),
    DropDownDataModel(cod:  4,title: 'PONTO ESTRATÉGICO'),
    DropDownDataModel(cod:  5,title: 'ESCOLA'),
    DropDownDataModel(cod:  6,title: 'CRECHE'),
    DropDownDataModel(cod:  7,title: 'ABRIGO'),
    DropDownDataModel(cod:  8,title: 'INSTITUIÇÃO DE LONGA PERMANÊNCIA PARA IDOSOS'),
    DropDownDataModel(cod:  9,title: 'UNIDADE PRISIONAL'),
    DropDownDataModel(cod: 10,title: 'UNIDADE DE MEDIDA SOCIOEDUCATIVA'),
    DropDownDataModel(cod: 11,title: 'DELEGACIA'),
    DropDownDataModel(cod: 12,title: 'ESTABELECIMENTO RELIGIOSO'),
    DropDownDataModel(cod: 99,title: 'OUTROS'),
  ];
  
  List<DropDownDataModel> listDesfecho = [
    DropDownDataModel(cod: 1, title: 'VISITA REALIZADA'),
    DropDownDataModel(cod: 2, title: 'VISITA RECUSADA'),
    DropDownDataModel(cod: 3, title: 'AUSENTE'),
  ];

  List<DropDownDataModel> listSituationHome = [
    DropDownDataModel(cod:  1,title: 'PRÓPRIO'),
    DropDownDataModel(cod:  2,title: 'ALUGADO'),
    DropDownDataModel(cod:  3,title: 'ARRENDADO'),
    DropDownDataModel(cod:  4,title: 'CEDIDO'),
    DropDownDataModel(cod:  5,title: 'OCUPAÇÃO'),
    DropDownDataModel(cod:  6,title: 'FINANCIADO'),
    DropDownDataModel(cod:  7,title: 'OUTROS'),
    DropDownDataModel(cod:  8,title: 'SITUAÇÃO DE RUA'),
  ];

  List<DropDownDataModel> listSituationRural = [
    DropDownDataModel(cod:  1,title: 'PROPRIETÁRIO'),
    DropDownDataModel(cod:  2,title: 'PARCEIRO(A)/MEEIRO(A)'),
    DropDownDataModel(cod:  3,title: 'ASSENTADO(A)'),
    DropDownDataModel(cod:  4,title: 'POSSEIRO(A)'),
    DropDownDataModel(cod:  5,title: 'ARRENDATÁRIO(A)'),
    DropDownDataModel(cod:  6,title: 'COMODATÁRIO(A)'),
    DropDownDataModel(cod:  7,title: 'BENEFICIÁRIO(A) DO BANCO DA TERRA'),
    DropDownDataModel(cod:  8,title: 'NÃO SE APLICA'),
  ];
  List<DropDownDataModel> listTypeAcessHome = [
    DropDownDataModel(cod:  1,title: 'ASFALTO'),
    DropDownDataModel(cod:  2,title: 'CHÃO BATIDO'),
    DropDownDataModel(cod:  3,title: 'FLUVIAL'),
    DropDownDataModel(cod:  4,title: 'OUTRO'),
  ];
  List<DropDownDataModel> listMaterialHome = [
    DropDownDataModel(cod:  1,title: 'ALVENARIA COM REVESTIMENTO'),
    DropDownDataModel(cod:  2,title: 'ALVENARIA SEM REVESTIMENTO'),
    DropDownDataModel(cod:  3,title: 'TAIPA COM REVESTIMENTO'),
    DropDownDataModel(cod:  4,title: 'TAIPA SEM REVESTIMENTO'),
    DropDownDataModel(cod:  5,title: 'MADEIRA APARELHADA'),
    DropDownDataModel(cod:  6,title: 'MATERIAL REAPROVEITADO'),
    DropDownDataModel(cod:  7,title: 'PALHA'),
    DropDownDataModel(cod:  8,title: 'OUTRO MATERIAL'),
  ];
  List<DropDownDataModel> listWaterHome = [
    DropDownDataModel(cod:  1,title: 'REDE ENCANADA ATÉ O DOMICÍLIO'),
    DropDownDataModel(cod:  2,title: 'POÇO/NASCENTE NO DOMICÍLIO'),
    DropDownDataModel(cod:  3,title: 'CAMINHÃO PIPA'),
    DropDownDataModel(cod:  4,title: 'OUTRO'),
    DropDownDataModel(cod:  5,title: 'CISTERNA'),
  ];
  List<DropDownDataModel> listWaterTreatment = [
    DropDownDataModel(cod:  1,title: 'FILTRAÇÃO'),
    DropDownDataModel(cod:  2,title: 'FERVURA'),
    DropDownDataModel(cod:  3,title: 'CLORAÇÃO'),
    DropDownDataModel(cod:  4,title: 'SEM TRATAMENTO'),
    DropDownDataModel(cod:  5,title: 'MINERAL'),
    DropDownDataModel(cod:  6,title: 'OUTRO'),
  ];
  List<DropDownDataModel> listDestinyTrash = [
    DropDownDataModel(cod:  1,title: 'COLETADO'),
    DropDownDataModel(cod:  2,title: 'QUEIMADO/ENTERRADO'),
    DropDownDataModel(cod:  3,title: 'CÉU ABERTO'),
    DropDownDataModel(cod:  4,title: 'OUTRO'),
  ];
  List<DropDownDataModel> listSanitary = [
    DropDownDataModel(cod:  1,title: 'REDE COLETORA DE ESGOTO OU PLUVIAL'),
    DropDownDataModel(cod:  2,title: 'FOSSA RUDIMENTAR'),
    DropDownDataModel(cod:  3,title: 'FOSSA SÉPTICA'),
    DropDownDataModel(cod:  4,title: 'CÉU ABERTO'),
    DropDownDataModel(cod:  5,title: 'OUTRA FORMA'),
    DropDownDataModel(cod:  6,title: 'DIRETO PARA UM RIO, LAGO OU MAR'),
  ];

  List<DropDownDataModel> listTypeLocation = [
    DropDownDataModel(cod:  1,title: 'URBANO'),
    DropDownDataModel(cod:  2,title: 'RURAL'),
  ];

  List<DropDownDataModel> listTypeResidence = [
    DropDownDataModel(cod:  1,title: 'CASA'),
    DropDownDataModel(cod:  2,title: 'APARTAMENTO'),
    DropDownDataModel(cod:  3,title: 'CÔMODO'),
    DropDownDataModel(cod:  4,title: 'OUTRO'),
  ];

  List<DropDownDataModel> listMaritalStatus = [
    DropDownDataModel(cod:  2,title: 'CASADO(A)'),
    DropDownDataModel(cod:  6,title: 'DESQUITADO(A)'),
    DropDownDataModel(cod:  4,title: 'DIVORCIADO(A)'),
    DropDownDataModel(cod: 99,title: 'NAO DEFINIDO'),
    DropDownDataModel(cod:  7,title: 'SEPARADO(A)'),
    DropDownDataModel(cod:  1,title: 'SOLTEIRO(A)'),
    DropDownDataModel(cod:  5,title: 'UNIAO ESTAVEL'),
    DropDownDataModel(cod:  3,title: 'VIUVO(A)'),
  ];
  List<DropDownDataModel> listKin = [
    DropDownDataModel(cod:  1,title: 'CÔNJUGE/COMPANHEIRO(A)'),
    DropDownDataModel(cod:  2,title: 'FILHO(A)'),
    DropDownDataModel(cod:  3,title: 'ENTEADO(A)'),
    DropDownDataModel(cod:  4,title: 'NETO(A)/BISNETO(A)'),
    DropDownDataModel(cod:  5,title: 'PAI/MÃE'),
    DropDownDataModel(cod:  6,title: 'SOGRO(A)'),
    DropDownDataModel(cod:  7,title: 'IRMÃO(A)'),
    DropDownDataModel(cod:  8,title: 'GENRO/NORA'),
    DropDownDataModel(cod:  9,title: 'OUTRO PARENTE'),
    DropDownDataModel(cod: 10,title: 'NÃO PARENTE'),
  ];

  List<DropDownDataModel> listWeight = [
    DropDownDataModel(cod: 1, title:  'ACIMA DO PESO'),
    DropDownDataModel(cod: 2, title:  'PESO ADEQUADO'),
    DropDownDataModel(cod: 3, title:  'ABAIXO DO PESO'),
  ];

  List<DropDownDataModel> listHeart = [
    DropDownDataModel(cod: 1, title:  'NÃO'),
    DropDownDataModel(cod: 2, title:  'INSUFICIÊNCIA CARDÍACA'),
    DropDownDataModel(cod: 3, title:  'OUTRO'),
    DropDownDataModel(cod: 4, title:  'SIM MAS NÃO SABE QUAL'),
  ];

  List<DropDownDataModel> listKidney = [
    DropDownDataModel(cod: 1, title:  'NÃO'),
    DropDownDataModel(cod: 2, title:  'INSUFICIÊNCIA RENAL'),
    DropDownDataModel(cod: 3, title:  'OUTRO'),
    DropDownDataModel(cod: 4, title:  'SIM MAS NÃO SABE QUAL'),
  ];

  List<DropDownDataModel> listLung = [
    DropDownDataModel(cod: 1, title:  'NÃO'),
    DropDownDataModel(cod: 2, title:  'ASMA'),
    DropDownDataModel(cod: 3, title:  'DPCO/ENFISEMA'),
    DropDownDataModel(cod: 4, title:  'OUTRO'),
    DropDownDataModel(cod: 5, title:  'SIM MAS NÃO SABE QUAL'),
  ];

  List<DropDownDataModel> listCondStreet = [
    DropDownDataModel(cod: 1, title:  'NÃO ESTÁ EM SITUAÇÃO DE RUA'),
    DropDownDataModel(cod: 2, title:  'MENOS 6 MESES'),
    DropDownDataModel(cod: 3, title:  'DE 6 A 12 MESES'),
    DropDownDataModel(cod: 4, title:  'DE 1 A 5 ANOS'),
    DropDownDataModel(cod: 5, title:  'MAIS QUE 5 ANOS'),
  ];

  List<DropDownDataModel> listDailyFood = [
    DropDownDataModel(cod: 1, title:  '1 VEZ'),
    DropDownDataModel(cod: 2, title:  '2 OU 3 VEZES'),
    DropDownDataModel(cod: 3, title:  'MAIS DE 3 VEZES'),
  ];

  List<String> listGender = [
    'FEMININO','MASCULINO'
  ];
  List<String> listProcedures = [
    'Aferição de PA',
    'Curativo Simples',
    'Glicemia Capilar',
    'Medição de Peso',
    'Coleta de Material para Exame Laboratorial',
    'Aferição de Temperatura',
    'Medição de Altura',
  ];
  List<String> itensProcedures = [
    '0101010010 - ATIVIDADE EDUCATIVA / ORIENTAÇÃO EM GRUPO NA ATENÇÃO PRIMÁRIA',
    '0101010028 - ATIVIDADE EDUCATIVA / ORIENTAÇÃO EM GRUPO NA ATENÇÃO ESPECIALIZADA',
    '0101010036 - PRÁTICA CORPORAL / ATIVIDADE FÍSICA EM GRUPO',
    '0101020015 - AÇÃO COLETIVA DE APLICAÇÃO TÓPICA DE FLÚOR GEL',
    '0101020023 - AÇÃO COLETIVA DE BOCHECHO FLUORADO',
    '0101020031 - AÇÃO COLETIVA DE ESCOVAÇÃO DENTAL SUPERVISIONADA',
    '0101020040 - AÇÃO COLETIVA DE EXAME BUCAL COM FINALIDADE EPIDEMIOLÓGICA',
    '0101020058 - APLICAÇÃO DE CARIOSTÁTICO (POR DENTE)',
  ];
  List<String> itensCBO = [
    '223208 - Cirurgião dentista - clínico geral',
    '223505 - Enfermeiro',
    '223565 - Enfermeiro da estratégia de saúde da família',
    '223605 - Fisioterapeuta geral',
    '223710 - Nutricionista',
    '223810 - Fonoaudiólogo geral',
    '225112 - Médico neurologista',
    '225120 - Médico cardiologista',
    '225124 - Médico pediatra',
    '225125 - Médico clínico',
  ];

  List<DropDownDataModel> itensDeficiency = [
    DropDownDataModel(cod: 4, title:  'AFONICA'),
    DropDownDataModel(cod: 5, title:  'AUDITIVA'),
    DropDownDataModel(cod:10, title:  'FISICA'),
    DropDownDataModel(cod: 2, title:  'IGNORADO'),
    DropDownDataModel(cod: 6, title:  'INTELECTUAL'),
    DropDownDataModel(cod: 7, title:  'MOTORA'),
    DropDownDataModel(cod: 8, title:  'MULTIPLA'),
    DropDownDataModel(cod: 3, title:  'NENHUMA'),
    DropDownDataModel(cod: 9, title:  'VISUAL'),
  ];

  List<DropDownDataModel> itensCertificate = [
    DropDownDataModel(cod: 91, title:  'NASCIMENTO'),
    DropDownDataModel(cod: 92, title:  'CASAMENTO'),
    DropDownDataModel(cod: 93, title:  'DIVÓRCIO'),
    DropDownDataModel(cod: 95, title:  'ADMINISTRATIVA - ÍNDIO'),
    DropDownDataModel(cod: 91, title:  'NASCIMENTO - N'),
    DropDownDataModel(cod: 92, title:  'CASAMENTO - N'),
    DropDownDataModel(cod: 93, title:  'DIVÓRCIO - N'),
    DropDownDataModel(cod: 95, title:  'ADMINISTRATIVA - ÍNDIO - N'),
  ];

  List<CityLoadModel> itensCity = [
    CityLoadModel(codCity: 3311, nameCityApi: 'anhembi',            nameCityFront: 'Anhembi',                     codState: 'SP', codCityIbge: 350230),
    CityLoadModel(codCity: 3313, nameCityApi: 'aparecida',          nameCityFront: 'Aparecida',                   codState: 'SP', codCityIbge: 350250),
    CityLoadModel(codCity: 3352, nameCityApi: 'batatais',           nameCityFront: 'Batatais',                    codState: 'SP', codCityIbge: 350590),
    CityLoadModel(codCity: 3360, nameCityApi: 'biritiba',           nameCityFront: 'Biritiba Mirim',              codState: 'SP', codCityIbge: 350660),
    CityLoadModel(codCity: 3381, nameCityApi: 'cabreuva',           nameCityFront: 'Cabreúva',                    codState: 'SP', codCityIbge: 350840),
    CityLoadModel(codCity: 1903, nameCityApi: 'cachoeira',          nameCityFront: 'Cachoeira Paulista',          codState: 'SP', codCityIbge: 290490),
    CityLoadModel(codCity: 3384, nameCityApi: 'caconde',            nameCityFront: 'Caconde',                     codState: 'SP', codCityIbge: 350870),
    CityLoadModel(codCity: 3409, nameCityApi: 'casabranca',         nameCityFront: 'Casa Branca',                 codState: 'SP', codCityIbge: 351080),
    CityLoadModel(codCity: 3427, nameCityApi: 'corumbatai',         nameCityFront: 'Corumbataí',                  codState: 'SP', codCityIbge: 351270),
    CityLoadModel(codCity: 3437, nameCityApi: 'descalvado',         nameCityFront: 'Descalvado',                  codState: 'SP', codCityIbge: 351370),
    CityLoadModel(codCity: 2539, nameCityApi: 'extrema',            nameCityFront: 'Extrema',                     codState: 'MG', codCityIbge: 312510),
    CityLoadModel(codCity: 3473, nameCityApi: 'francodarocha',      nameCityFront: 'Franco da Rocha',             codState: 'SP', codCityIbge: 351640),
    CityLoadModel(codCity: 3514, nameCityApi: 'igaracudotiete',     nameCityFront: 'Igaraçu do Tietê',            codState: 'SP', codCityIbge: 352000),
    CityLoadModel(codCity: 3531, nameCityApi: 'iracemapolis',       nameCityFront: 'Iracemápolis',                codState: 'SP', codCityIbge: 352140),
    CityLoadModel(codCity: 3546, nameCityApi: 'itapolis',           nameCityFront: 'Itápolis',                    codState: 'SP', codCityIbge: 352270),
    CityLoadModel(codCity: 3555, nameCityApi: 'itirapina',          nameCityFront: 'Itirapina',                   codState: 'SP', codCityIbge: 352360),
    CityLoadModel(codCity: 3560, nameCityApi: 'ituverava',          nameCityFront: 'Ituverava',                   codState: 'SP', codCityIbge: 352410),
    CityLoadModel(codCity: 3570, nameCityApi: 'jardinopolis',       nameCityFront: 'Jardinópolis',                codState: 'SP', codCityIbge: 352510),
    CityLoadModel(codCity: 3584, nameCityApi: 'laranjal',           nameCityFront: 'Laranjal Paulista',           codState: 'SP', codCityIbge: 352640),
    CityLoadModel(codCity: 3601, nameCityApi: 'macatuba',           nameCityFront: 'Macatuba',                    codState: 'SP', codCityIbge: 352800),
    CityLoadModel(codCity: 3606, nameCityApi: 'mairipora',          nameCityFront: 'Mairiporã',                   codState: 'SP', codCityIbge: 352850),
    CityLoadModel(codCity: 3628, nameCityApi: 'mococa',             nameCityFront: 'Mococa',                      codState: 'SP', codCityIbge: 353050),
    CityLoadModel(codCity: 3642, nameCityApi: 'morroagudo',         nameCityFront: 'Morro Agudo',                 codState: 'SP', codCityIbge: 353190),
    CityLoadModel(codCity: 3691, nameCityApi: 'pardinho',           nameCityFront: 'Pardinho',                    codState: 'SP', codCityIbge: 353610),
    CityLoadModel(codCity: 3699, nameCityApi: 'pederneiras',        nameCityFront: 'Pederneiras',                 codState: 'SP', codCityIbge: 353670),
    CityLoadModel(codCity: 3719, nameCityApi: 'piracicaba',         nameCityFront: 'Piracicaba',                  codState: 'SP', codCityIbge: 353870),
    CityLoadModel(codCity: 3740, nameCityApi: 'portoferreira',      nameCityFront: 'Porto Ferreira',              codState: 'SP', codCityIbge: 354070),
    CityLoadModel(codCity: 3816, nameCityApi: 'santarita',          nameCityFront: 'Santa Rita',                  codState: 'SP', codCityIbge: 354750),
    CityLoadModel(codCity: 3821, nameCityApi: 'stoantoniodaalegria',nameCityFront: 'Santo Antônio da Alegria',    codState: 'SP', codCityIbge: 354790),
    CityLoadModel(codCity: 3853, nameCityApi: 'ssgrama',            nameCityFront: 'São Sebastião da Grama',      codState: 'SP', codCityIbge: 355080),
    CityLoadModel(codCity: 3882, nameCityApi: 'tapiratiba',         nameCityFront: 'Tapiratiba',                  codState: 'SP', codCityIbge: 355360),
  ];
  var backgroundGradient = BoxDecoration(
      gradient:  LinearGradient(
        begin: Alignment.topCenter,
        end: Alignment.bottomCenter,
        colors: [
          ColorPalette.primary,
          ColorPalette.secundary,
        ],
      )
  );
}